CC = g++
CXXFLAGS = -O3 -Wall -Wextra -Wshadow -Wuninitialized -fPIC -I$(ROOTSYS)/include -I../Fit/FunctionBase #-ggdb #-I$(HOME)/root_macros

# Options for linking
LDFLAGS = -O `root-config --libs` -lMinuit2 -lMathCore -lMathMore -L../Fit/FunctionBase -lFunctions

SHAREDLIB = libAnalyse.so 
OBJS  = Analyse.o 


all: libFunction.so libAnalyse.so myAnalysis
all: $(SHAREDLIB)

$(SHAREDLIB): $(OBJS) $(HEADERS) 
	$(CC) $(LDFLAGS) $(OBJS) -shared -o $(SHAREDLIB)

libFunction.so:
	make -C ../Fit/FunctionBase/

myAnalysis: Analyse.o
Analyse.o: Analyse.h

clean:
	rm -f  *~ *.o *.so myAnalysis
